ROCM-QEMU-CREATE(8)

NAME
rocm-qemu-create - rocm-qemu-create

DESCRIPTION
Create a QEMU VM for suitable for running ROCm package autopkgtests.

IMAGE, if not specified, defaults to RELEASE.img.

This script will build an EFI-bootable image IMAGE, with packages firmware-amd-graphics and openssh-server preinstalled, and (optionally) other minor customizations.

The image will have a regular (non-system) user 'user', who will be in all the necessary system groups.

You will be able to share a host directory with the guest.

  Synopsis:

    bin/rocm-qemu-create -h

    bin/rocm-qemu-create [-a AKFILE] [-m MIRROR] [-r RELEASE] [IMAGE]

OPTIONS

-h  Show this help

-a AKFILE
    File to copy to /root/.ssh/authorized_keys and to /home/rocm/.ssh/authorized_keys in the guest.

-m MIRROR
    Download packages from here. This will be also used within the image. Ideally, this points to an APT cache on the host machine, such as apt-cacher-ng or approx.

-r RELEASE
    Release (default: 'unstable') If RELEASE is 'experimental', APT sources for both 'unstable' and 'experimental' will be added to the image. If RELEASE contains a dash, APT sources for the "basename" will be added, e.g.: 'bookworm-backports' will include sources for 'bookworm' and 'bookworm-backports'.

EXAMPLES

    # Configure the system for GPU pass-through

    $ rocm-qemu-setup -u <user>

    # Creates unstable.img based on unstable

    $ sudo bin/rocm-qemu-create

    # Same image as above, but named unstable-autopkgtest-amd64.img

    $ sudo bin/rocm-qemu-create unstable-autopkgtest-amd64.img

    # Create unstable.img using the mirror at 10.1.2.3:9999, which ideally # is a local APT cache

    $ sudo bin/rocm-qemu-create -m http://10.1.2.3:9999/debian

    # Creates bookworm.img

    $ sudo bin/rocm-qemu-create -r bookworm

    # Copies this file to {/root,/home/rocm}/.ssh/authorized_keys

    $ sudo bin/rocm-qemu-create -a ~/.ssh/id_rsa.pub